import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useSettingsStore = defineStore('settings', () => {
  const language: Ref<string> = ref(navigator.language.split('-')[0] || 'en')
  function setLanguage(lang_value: string) {
    language.value = lang_value
  }

  const expertMode: Ref<boolean> = ref(false)

  function setExpertMode(mode: boolean) {
    expertMode.value = mode
  }

  const devMode: Ref<boolean> = ref(false)

  function setDevMode(mode: boolean) {
    devMode.value = mode
  }

  return { language, setLanguage, expertMode, setExpertMode, devMode, setDevMode }
}, { persist: true })
