import { defineConfig, presetAttributify, presetUno } from 'unocss'
import { presetAnimations } from 'unocss-preset-animations'
import { presetShadcn } from 'unocss-preset-shadcn'

const TOPBAR_HEIGHT = '3.5rem'

export default defineConfig({
  presets: [
    presetUno(),
    presetAttributify(),
    presetAnimations(),
    presetShadcn(),
  ],
  content: {
    pipeline: {
      include: [
        // the default
        /\.(vue|svelte|[jt]sx|mdx?|astro|elm|php|phtml|html)($|\?)/,
        // include js/ts files
        '(components|src)/**/*.{js,ts}',
      ],
    },
  },
  theme: {
    // Required for shadcn-vue's Sidebar
    spacing: {
      4: '1rem',
      topbar: TOPBAR_HEIGHT,
    },
    height: {
      topbar: TOPBAR_HEIGHT,
    },
  },
})
